## org.ascape.query.parser
Class QTEqual

    java.lang.Object
      org.ascape.query.parser.SimpleNode
          org.ascape.query.parser.QTCriteriaSubNode
              org.ascape.query.parser.QTOperator
                  org.ascape.query.parser.QTEqual

All Implemented Interfaces:
  Node

    public class QTEqual

extends QTOperator

Field Summary

Fields inherited from class org.ascape.query.parser.SimpleNode
`children, id, parent, parser`

Constructor Summary
`QTEqual(BoolExprTree p, int id)`
`QTEqual(int id)`

Method Summary
`boolean` `evaluate(QTValue compared, java.lang.Object value)`
`java.lang.String` `toString()`

Methods inherited from class org.ascape.query.parser.QTCriteriaSubNode
`getCriteria`

Methods inherited from class org.ascape.query.parser.SimpleNode
`dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QTEqual

    public QTEqual(int id)

### QTEqual

    public QTEqual(BoolExprTree p,
                   int id)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SimpleNode`

### evaluate

    public boolean evaluate(QTValue compared,
                            java.lang.Object value)

  Specified by:
    `evaluate` in class `QTOperator`